wireguard
diff --git a/apps/wireguard/entrypoint.sh b/apps/wireguard/entrypoint.sh
new file mode 100755
index 0000000..0390b69
--- /dev/null
+++ b/apps/wireguard/entrypoint.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+finish () {
+    wg-quick down wg0
+    exit 0
+}
+trap finish SIGTERM SIGINT SIGQUIT
+
+wg-quick up /etc/wireguard/wg0.conf
+
+# Inifinite sleep
+while true; do
+    sleep 86400
+    wait $!
+done